package com.ynet.life.file.parser;

import com.ynet.life.exception.TranFailException;
import com.ynet.life.file.FileConstants;

/* loaded from: com_ynet_life_file_parser.jar:com/ynet/life/file/parser/CommonWithTotalParserFactory.class */
public class CommonWithTotalParserFactory {
    private CommonWithTotalParserFactory() {
    }

    public static CommonFileParserWithTotalInterface createParser(String fileType) throws TranFailException {
        if (FileConstants.FILE_TYPE_CSV.equalsIgnoreCase(fileType)) {
            return new CommonCSVFileWithTotalParser();
        }
        if (FileConstants.FILE_TYPE_TXT.equalsIgnoreCase(fileType)) {
            return new CommonTXTFileWithTotalParser();
        }
        if (FileConstants.FILE_TYPE_XLS.equalsIgnoreCase(fileType)) {
            return new CommonXLSFileWithTotalParser();
        }
        if (FileConstants.FILE_TYPE_XML.equalsIgnoreCase(fileType)) {
            return new CommonXMLFileWithTotalParser();
        }
        throw FileConstants.EXCEPTION_WRONG_TYPE;
    }
}
